#
# Make.inc.in
#
# Version:	$Id: Make.inc.in,v 1.42 2002/07/12 19:44:01 aland Exp $
#

# Location of files.
prefix		= /usr/local
exec_prefix	= ${prefix}
sysconfdir	= ${prefix}/etc
localstatedir	= ${prefix}/var
libdir		= ${exec_prefix}/lib
bindir		= ${exec_prefix}/bin
sbindir		= ${exec_prefix}/sbin
mandir		= ${prefix}/man
logdir		= ${localstatedir}/log/radius
raddbdir	= ${sysconfdir}/raddb
radacctdir	= ${logdir}/radacct
top_builddir	= /home/ana/compound_authn/Deliverable/Server/freeradius-0.8.1
top_srcdir	= .

MAKE		= /usr/bin/gmake
CC		= gcc
RANLIB		= ranlib
INCLUDE		= 
CFLAGS		= $(INCLUDE) -g -O2 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -D_GNU_SOURCE -DNDEBUG
LIBPREFIX	= lib

LIBTOOL		= /home/ana/compound_authn/Deliverable/Server/freeradius-0.8.1/libtool
ACLOCAL		= aclocal
AUTOCONF	= autoconf
AUTOHEADER	= autoheader
INSTALL		= ${top_builddir}/install-sh -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL_PROGRAM}
INSTALLSTRIP	= -s

LCRYPT		= -lcrypt
LIBS		= -lnsl -lresolv  -lpthread

LOGDIR		= ${logdir}
RADDBDIR	= ${raddbdir}
RUNDIR		= ${localstatedir}/run/radiusd
SBINDIR		= ${sbindir}
RADIR		= ${radacctdir}

LIBLTDL		= -lltdl
LIBLTDLPATH	= 
INCLTDL		= 

USE_SHARED_LIBS	= yes
USE_STATIC_LIBS = yes
STATIC_MODULES	= 

SNMP_INCLUDE	= 
SNMP_LIBS	= 

#
#  SQL driver defines
#
SQL_ODBC_LIBS = @ODBC_LIBS@
SQL_ODBC_INCLUDE = @ODBC_INCLUDE@

RADIUSD_MAJOR_VERSION	= 0
RADIUSD_MINOR_VERSION	= 8.1
RADIUSD_VERSION		= 0.8.1

MODULES			=  rlm_acct_unique rlm_always rlm_attr_filter rlm_attr_rewrite rlm_chap rlm_counter rlm_dbm rlm_detail rlm_eap rlm_expr rlm_fastusers rlm_files rlm_krb5 rlm_ldap rlm_mschap rlm_ns_mta_md5 rlm_pam rlm_pap rlm_preprocess rlm_radutmp rlm_realm rlm_sql rlm_unix rlm_x99_token
