package ucb.eecs.sahara.sso.anp;

import com.sun.liberty.saml.SAMLAttributeDesignator;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * Data bindings for anp:UserInfo element. Get and set methods
 * correspond to child elements and attributes in the XML schema for this
 * element.
 *
 * @author Ana Sanz Merino
 * @version $Revision: 1.1.1.1 $
 */

public class ANPUserInfoDesignator extends SAMLAttributeDesignator implements ANPElement {
    public Element getElement(Document doc) {
        Element a = doc.createElementNS(ANP_NS_URI, ANP_NS_ID + ":UserInfoDesignator");
        addAttributesTo(a);
        return a;
    }
}
