<%@page import="com.sun.liberty.LibertyManager,java.util.Iterator" %>
<%@page import="com.sun.liberty.Config" %>
<!--
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.1 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://www.experimentalstuff.com/Technologies/IPL/download.html.
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *  Copyright: 2002 by Sun Microsystems, Inc.
 *
 *  All Rights Reserved.
 *
 *  Contributor(s): _______________________________________
 -->

<html>
  <head>
    <title>Federation management</title>
  </head>
   <BODY BGCOLOR=#F0FFFF TEXT=#000000 LINK=#0000FF VLINK=#800040 ALINK=#800040>
   <TABLE width="100%" height="100%" align="center">
   <!--TR><TD valign="middle" align="center"-->
   <TR><TD valign="middle">
    <h1>
      Federation management
    </h1>

    <hr>
    This page allows you to federate your account with identities at
    one or more identity providers.  It also allows you to terminate 
    your federation with any identity providers you are already federated
    with.
    <table>
      <tr><th>Provider</th><th>Status</th><th>Actions</th></tr>
      <%
	  Iterator i = LibertyManager.getIDPList();
	  String nonce = LibertyManager.getNonce(request);
	  while (i.hasNext()) {
	      String providerID = (String) i.next();
	      boolean status;
	      status = LibertyManager.getIDPFederationStatus(
		      request.getRemoteUser(), providerID);
	      String msg = status ? "Federated" : "Not federated";
	      String button = status ? "Terminate" : "Federate";
	      String url = status ? "federation-terminate" : "federation";
	      %>
		  <tr>
		    <td><%= providerID %></td>
		    <td><%= msg %></td>
		    <td>
		      <form method="POST" action="<%= url %>">
		        <input type="hidden" name="_liberty_id"
					     value="<%= providerID %>" />
		        <input type="hidden" name="nonce"
					     value="<%= nonce %>" />
		        <input type="submit"
		    	       value="<%= button %>"/>
		      </form>
		    </td>
		  </tr>
	      <%
	  }
      %>
    </table></form>
    <!--hr>
    <small><em>$Id: federate.jsp,v 1.5.2.2 2002/09/17 01:52:19 jsergent Exp $</em></small-->
    <hr>
    <a href="<%=Config.logoutPageForRedirect%>">Log out</a>
  </TD></TR></TABLE>
  </body>
</html>
